Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Class RowSelection

    java.lang.Object
      org.hibernate.engine.spi.RowSelection

    public final class RowSelection

extends Object

Represents a selection criteria for rows in a JDBC `ResultSet`

Constructor Summary
`RowSelection()`

Method Summary
`boolean` | `definesLimits()`
`Integer` | `getFetchSize()`
`Integer` | `getFirstRow()`
`Integer` | `getMaxRows()`
`Integer` | `getTimeout()`
`void` | `setFetchSize(Integer fetchSize)`
`void` | `setFirstRow(Integer firstRow)`
`void` | `setMaxRows(Integer maxRows)`
`void` | `setTimeout(Integer timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSelection

    public RowSelection()

Method Detail

### setFirstRow

    public void setFirstRow(Integer firstRow)

### getFirstRow

    public Integer getFirstRow()

### setMaxRows

    public void setMaxRows(Integer maxRows)

### getMaxRows

    public Integer getMaxRows()

### setTimeout

    public void setTimeout(Integer timeout)

### getTimeout

    public Integer getTimeout()

### getFetchSize

    public Integer getFetchSize()

### setFetchSize

    public void setFetchSize(Integer fetchSize)

### definesLimits

    public boolean definesLimits()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.